Mission = {

	Briefing = 0,
	Objective1  = 0,
	Objective2  = 0,
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...

	-- System:SetConsoleImage("levels/m02/loading_screen.jpg",0);			
	

end



function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end

--------------------------------------------------------------------------------------------------------

function Mission:Finish()
   
end

--------------------------------------------------------------------------------------------------------
-- Animations----


function Mission:Event_PlayExplosionMovie()
Movie:PlaySequence("Explosion");

end

function Mission:Event_PlayOpenMovie()
Movie:PlaySequence("Open");

end

--------------------------------------------------------------------------------------------------------
-- Ingame Messages (Mission Objectives)


function Mission:Event_Starthide()

	Hud:AddMessage('They know you are coming',50);
	Hud:AddMessage('Hide quick before they get here',55);
	Hud:AddMessage('steal a vehicle and drive down the peninsula',65);
	Hud:AddMessage('Your radar shows a good hiding spot',80);
	Hud:SetRadarObjective("starthide");
	Hud:PushObjective({},"Evade then steal a vehicle and drive down the peninsula"); 

end


function Mission:Event_Entercompound()

	Hud:AddMessage('Follow the peninsula and get into the compound',20);
	Hud:SetRadarObjective("nil");
	Hud:PushObjective({},"Find a way into the compound");
	Hud:CompleteObjective("Evade then steal a vehicle and drive down the peninsula"); 

end


function Mission:Event_Harbourhunt()

	Hud:AddMessage('Go to the harbour to the south and find the explosives that are being shipped in',20);
	Hud:SetRadarObjective("radarharbour");
	Hud:PushObjective({},"Find the explosives in the harbour");
	Hud:CompleteObjective("Find a way into the compound");

end

function Mission:Event_enterinnercompound()

	Hud:AddMessage('Once you have found the explosives find a way into the inner compound and to the lava generator',20);
	Hud:SetRadarObjective("radarlava");
	Hud:PushObjective({},"Once you have located the explosives find a way into the inner compound");
	Hud:CompleteObjective("Find the explosives in the harbour");

end

function Mission:Event_placeexplosives()

	Hud:AddMessage('Place the explosives on the support pillars',20);
	Hud:SetRadarObjective("nil");
	Hud:PushObjective({},"Place the explosives on the 4 support pillars");
	Hud:CompleteObjective("Once you have located the explosives find a way into the inner compound");

end

function Mission:Event_escape()

	Hud:AddMessage('Steal a boat and escape',20);
	Hud:AddMessage('There should be one in the camp to the north',30);
	Hud:SetRadarObjective("nil");
	Hud:PushObjective({},"Find a boat and escape by sea");
	Hud:CompleteObjective("Place the explosives on the 4 support pillars");

end

function Mission:Event_escaped()

	Hud:AddMessage('Well done you have completed your objectives & escaped',20);
	Hud:SetRadarObjective("nil");
	Hud:CompleteObjective("Find a boat and escape by sea");

end